Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.datecs.api.hub
Class HUB

    java.lang.Object
      com.datecs.api.hub.HUB

All Implemented Interfaces:
  java.io.Closeable

    public class HUB

extends java.lang.Object
implements java.io.Closeable

Field Summary
`static int` | `EVENT_NONE`
`static int` | `EVENT_SERIAL_PORT_RECV`
`static int` | `EVENT_USB_RECV`
`static int` | `SERIAL_PORT_1`
`static int` | `SERIAL_PORT_2`
`static int` | `SERIAL_PORT_3`
`static int` | `STATUS_INVALID_COMMAND`
`static int` | `STATUS_INVALID_PARAMETER`
`static int` | `STATUS_NO_DATA`
`static int` | `STATUS_NO_RESPONSE`
`static int` | `STATUS_OK`
`static int` | `STATUS_SYNTAX_ERROR`

Constructor Summary
`HUB(java.io.FileDescriptor fd)`
`HUB(java.io.InputStream inputStream, java.io.OutputStream outputStream)`

Method Summary
`void` | `close()`
`HUBIdent` | `getIdent()`
`SerialPort` | `getSerialPort(int port)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATUS_OK

    public static final int STATUS_OK

See Also:
  Constant Field Values

### STATUS_NO_RESPONSE

    public static final int STATUS_NO_RESPONSE

See Also:
  Constant Field Values

### STATUS_NO_DATA

    public static final int STATUS_NO_DATA

See Also:
  Constant Field Values

### STATUS_INVALID_COMMAND

    public static final int STATUS_INVALID_COMMAND

See Also:
  Constant Field Values

### STATUS_SYNTAX_ERROR

    public static final int STATUS_SYNTAX_ERROR

See Also:
  Constant Field Values

### STATUS_INVALID_PARAMETER

    public static final int STATUS_INVALID_PARAMETER

See Also:
  Constant Field Values

### EVENT_NONE

    public static final int EVENT_NONE

See Also:
  Constant Field Values

### EVENT_SERIAL_PORT_RECV

    public static final int EVENT_SERIAL_PORT_RECV

See Also:
  Constant Field Values

### EVENT_USB_RECV

    public static final int EVENT_USB_RECV

See Also:
  Constant Field Values

### SERIAL_PORT_1

    public static final int SERIAL_PORT_1

See Also:
  Constant Field Values

### SERIAL_PORT_2

    public static final int SERIAL_PORT_2

See Also:
  Constant Field Values

### SERIAL_PORT_3

    public static final int SERIAL_PORT_3

See Also:
  Constant Field Values

Constructor Detail

### HUB

    public HUB(java.io.InputStream inputStream,
               java.io.OutputStream outputStream)

### HUB

    public HUB(java.io.FileDescriptor fd)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Throws:
    `java.io.IOException`

### getIdent

    public HUBIdent getIdent()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSerialPort

    public SerialPort getSerialPort(int port)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD